@import "src/components/Theme";

.issueForm {
  padding: 16px 20px;
  background: $background;
}

.issueButton {
  display: flex;
  @include bodyMediumType($mainDark);
  border: none;
  align-items: center;
  background: transparent;
  outline: none;
  cursor: pointer;

  i {
    width: 16px;
    height: 16px;
    display: inline-block;
    margin-right: 8px;
  }
}

.issueButtons {
  display: flex;
}

.issueClaim {
  position: absolute;
  display: flex;
  justify-content: flex-end;
  width: 100%;
  height: 100%;
  right: 0;
  top: 0;
  box-sizing: border-box;
  padding: 12px;

  i {
    color: transparent;
  }

  &.declared {
    i {
      color: $mediumGray;
    }
  }

  &.active {
    i {
      color: $red;
    }
  }

  &:hover {
    i {
      color: $redHover;
    }
  }
}

.note {
  background: $background;
  display: flex;
  align-items: center;
  padding: 10px 12px;
  @include bodyRegularType($mainDark);
  margin-bottom: 12px;

  i {
    margin-left: 8px;
    width: 16px;
    height: 16px;
    color: $red;
  }
}